Page MenuHomePhabricator

decommission labstore2001.codfw.wmnet and labstore2002.codfw.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of servers labstore2001.codfw.wmnet and labstore2001.codfw.wmnet.

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

labstore2001.codfw.wmnet

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Jclark-ctr, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

labstore2002.codfw.wmnet

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Jclark-ctr, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Andrew created this task.Jan 21 2020, 7:35 PM

cookbooks.sre.hosts.decommission executed by andrew@cumin1001 for hosts: labstore2001.codfw.wmnet

  • labstore2001.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
Andrew updated the task description. (Show Details)Jan 21 2020, 7:39 PM

cookbooks.sre.hosts.decommission executed by andrew@cumin1001 for hosts: labstore2002.codfw.wmnet

  • labstore2002.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 566347 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Remove references to labstore2001 and labstore2002

https://gerrit.wikimedia.org/r/566347

Change 566348 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/dns@master] Remove references to labstore2001 and labstore2002

https://gerrit.wikimedia.org/r/566348

Change 566347 merged by Andrew Bogott:
[operations/puppet@production] Remove references to labstore2001 and labstore2002

https://gerrit.wikimedia.org/r/566347

Change 566348 merged by Andrew Bogott:
[operations/dns@master] Remove references to labstore2001 and labstore2002

https://gerrit.wikimedia.org/r/566348

Andrew assigned this task to Papaul.Jan 21 2020, 7:45 PM
Andrew updated the task description. (Show Details)

@Papaul, please decom associated disk shelves when you pull these servers. Thank you!

RobH removed a subscriber: RobH.Jan 22 2020, 12:18 AM
Papaul moved this task from Backlog to Decommission on the ops-codfw board.
Papaul added a subscriber: RobH.
RobH removed a subscriber: RobH.Jan 22 2020, 7:35 PM
Papaul added a comment.Feb 4 2020, 3:26 AM
apaul@asw-b-codfw# show | compare 
[edit interfaces interface-range vlan-cloud-support1-b-codfw]
-    member-range ge-1/0/0 to ge-1/0/1;
[edit interfaces interface-range disabled]
     member ge-5/0/40 { ... }
+    member ge-1/0/0;
+    member ge-1/0/1;
[edit interfaces]
-   ge-1/0/0 {
-       description labstore2001;
-       enable;
-   }
-   ge-1/0/1 {
-       description labstore2002;
-       enable;
-   }
Papaul updated the task description. (Show Details)Feb 4 2020, 3:27 AM
Papaul added a subscriber: RobH.
Papaul updated the task description. (Show Details)Feb 19 2020, 9:57 PM
RobH removed a subscriber: RobH.Mar 3 2020, 6:00 PM
Papaul updated the task description. (Show Details)Mar 6 2020, 10:40 PM
Papaul added a subscriber: RobH.

Change 577690 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for labstore200[1-4]

https://gerrit.wikimedia.org/r/577690

Change 577690 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for labstore200[1-4]

https://gerrit.wikimedia.org/r/577690

Papaul closed this task as Resolved.Mar 6 2020, 11:10 PM
Papaul updated the task description. (Show Details)

complete